## lemonldap-ng 0.9.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,15 @@
 EXAMPLEDIRBUILD=`pwd`/example/
 EXAMPLEDIR=$(EXAMPLEDIRBUILD)
 EXAMPLECONFDIR=$(EXAMPLEDIR)conf/
+EXAMPLELASPDIR=$(EXAMPLEDIR)liberty-alliance-sp-portal/
+EXAMPLELASPDIRBUILD=$(EXAMPLELASPDIR)
 EXAMPLELANG=en
+EXAMPLEPORTALDIRBUILD=$(EXAMPLEDIRBUILD)portal/
+EXAMPLEHANDLERDIRBUILD=$(EXAMPLEDIRBUILD)handler/
+EXAMPLEMANAGERDIRBUILD=$(EXAMPLEDIRBUILD)manager/
+EXAMPLEPORTALDIR=$(EXAMPLEDIR)portal/
+EXAMPLEHANDLERDIR=$(EXAMPLEDIR)handler/
+EXAMPLEMANAGERDIR=$(EXAMPLEDIR)manager/
 
 all:	handler manager portal
 
@@ -37,7 +45,7 @@
 	cd ${MANAGERDIR}; perl Makefile.PL INSTALLDIRS=$(INSTALLDIRS)
 	touch manager_conf
 
-test:		manager_test handler_test portal_test
+test:		manager handler portal manager_test handler_test portal_test
 
 manager_test:	manager
 	$(MAKE) -C ${MANAGERDIR} test
@@ -66,7 +74,7 @@
 
 clean:		handler_clean portal_clean manager_clean
 	rm -rf example
-	find . -name '*.gz' -exec rm -vf {} \;
+	rm -vf *gz
 
 handler_clean:
 	- $(MAKE) -C ${HANDLERDIR} distclean
@@ -83,11 +91,15 @@
 example: all
 	mkdir -p ${EXAMPLEDIRBUILD}/portal ${EXAMPLEDIRBUILD}/manager ${EXAMPLEDIRBUILD}/handler ${EXAMPLEDIRBUILD}/conf
 	chmod 1777 ${EXAMPLEDIRBUILD}/conf
-	cp -a ${HANDLERDIR}/example/* ${EXAMPLEDIRBUILD}/handler
-	cp -a ${PORTALDIR}/example/* ${EXAMPLEDIRBUILD}/portal
-	cp -a ${MANAGERDIR}/example/* ${EXAMPLEDIRBUILD}/manager
+	cp -a ${HANDLERDIR}/example/* ${EXAMPLEHANDLERDIRBUILD}
+	cp -a ${PORTALDIR}/example/* ${EXAMPLEPORTALDIRBUILD}
+	#perl -l -e '$$a="${EXAMPLELASPDIRBUILD}";$$a=~s#/$$##;print $$a;'
+	#perl -l -e '$$ARGV[0]=~s#/$$##;print $$ARGV[0];' ${EXAMPLELASPDIRBUILD}
+	mv ${EXAMPLEDIRBUILD}/portal/AuthLA $$(echo ${EXAMPLELASPDIRBUILD}|sed -e 's/\/$$//')
+	cp -a ${MANAGERDIR}/example/* ${EXAMPLEMANAGERDIRBUILD}
 	cp -a _example/* ${EXAMPLEDIRBUILD}
-	find ${EXAMPLEDIRBUILD} -type f -exec perl -i -pe 's#__DIR__/?#'${EXAMPLEDIR}'#g;s#__CONFDIR__/?#'${EXAMPLECONFDIR}'#g;' {} \;
+	find ${EXAMPLELASPDIRBUILD} -type f -exec perl -i -pe 's#__DIR__/?#'${EXAMPLELASPDIR}'#g;s#__CONFDIR__/?#'${EXAMPLECONFDIR}'#g;s#__SKINDIR__/?#'${EXAMPLEPORTALDIR}'skins/#g;' {} \;
+	find ${EXAMPLEDIRBUILD} -type f -exec perl -i -pe 's#__DIR__/?#'${EXAMPLEDIR}'#g;s#__CONFDIR__/?#'${EXAMPLECONFDIR}'#g;s#__SKINDIR__/?#'${EXAMPLEPORTALDIR}'skins/#g;' {} \;
 	@echo
 	@echo "Example is ready."
 	@echo
@@ -136,6 +148,9 @@
 	tar czf lemonldap-ng-$(VERSION).tar.gz lemonldap-ng-$(VERSION)
 	rm -rf lemonldap-ng-$(VERSION)
 
+debian-dist:	dist
+	mv lemonldap-ng-$(VERSION).tar.gz lemonldap-ng_$(VERSION).orig.tar.gz
+
 cpan:	clean configure handler_cpan portal_cpan manager_cpan
 
 handler_cpan:	handler_conf
@@ -152,7 +167,7 @@
 
 static_example:	example
 	mkdir -p ${EXAMPLEDIRBUILD}/static
-	cd ${EXAMPLEDIRBUILD}/static/;ln -s ../manager/imgs;cd -
+	cd ${EXAMPLEDIRBUILD}/static/;cp -a ../manager/{imgs,theme} .;cd -
 	scripts/make_static_example.pl ${EXAMPLEDIRBUILD}/manager/index.pl ${EXAMPLEDIRBUILD}/static/index.html $(EXAMPLELANG)
 
 documentation:
