## lemonldap-ng 0.9.4.1

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 # LDAP parameters
 LDAPHOST=localhost
 LDAPPORT=389
-LDAPSUFFIX=dc=example,dc=net
+LDAPSUFFIX=dc=example,dc=com
 
 # Other
 VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
@@ -84,6 +84,7 @@
 SRCPORTALDIR=lemonldap-ng-portal
 SRCMANAGERDIR=lemonldap-ng-manager
 EXAMPLELANG=en # For static Manager example only
+ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration
 
 all:	configure common handler manager portal
 	@echo
@@ -199,9 +200,12 @@
 	@install -v -d $(RBINDIR)
 	@cp --preserve=mode --remove-destination \
 		${SRCPORTALDIR}/example/scripts/purgeCentralCache \
+		${SRCPORTALDIR}/example/scripts/buildPortalWSDL \
 		${SRCCOMMONDIR}/scripts/lmConfig_File2MySQL \
+		${SRCCOMMONDIR}/scripts/lmConfig_File2LDIF \
 		${SRCMANAGERDIR}/example/scripts/lmConfigEditor \
 			$(RBINDIR)
+	chmod +x $(RBINDIR)/*
 
 #
 # SITE INSTALL
@@ -209,18 +213,18 @@
 install_site:	install_manager_site install_portal_site install_handler_site install_test_site install_examples_site install_doc_site
 	# Site install
 	@install -v -d $(RCONFDIR)
-	# Apache configuration files
-	@cp --remove-destination _example/etc/apache* $(RCONFDIR)
+	# Check if erase is wanted
+	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
+		cp --remove-destination  _example/etc/apache* $(RCONFDIR); \
+		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
+	fi
 	@perl -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
-		s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
-		s#__PORTALDIR__#$(PORTALDIR)/#g; \
-		s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
-		s#__TESTDIR__#$(TESTDIR)/#g; \
-		s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/apache*
-	# File for /etc/hosts inclusion
-	@cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR)
+			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
+			s#__PORTALDIR__#$(PORTALDIR)/#g; \
+			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
+			s#__TESTDIR__#$(TESTDIR)/#g; \
+			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/apache*
 	@perl -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
-	#
 	@echo
 	@echo "LemonLDAP::NG v${VERSION} is installed with these parameters:"
 	@echo "  - System configuration: ${CONFDIR}"
@@ -246,7 +250,7 @@
 	@echo "    Edit ${RCONFDIR}/apps/apps-list.xml to modify the menu."
 	@echo
 	@echo "5 - Try to connect to http://test1.${DNSDOMAIN}/ or http://test2.${DNSDOMAIN}/"
-	@if [ "$(APACHEUSER)" == "" ]; then \
+	@if [ ! "$(APACHEUSER)" ]; then \
 		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR) and $(CONFDIR) have permissive permissions."; \
 		echo "    Fix them by yourself to restrict their view to apache process only"; \
 	fi
@@ -266,8 +270,10 @@
 		rm -rf ${RMANAGERDIR}/imgs; \
 		ln -s $$(echo ${MANAGERDATADIR} | sed -e 's/\/$$//') ${RMANAGERDIR}/imgs; \
 	fi
-	# apply.conf install
-	@mv ${RMANAGERDIR}/apply.conf $(RCONFDIR)
+	# apply.conf install if erase configuration is wanted
+	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
+		mv -f ${RMANAGERDIR}/apply.conf "$(RCONFDIR)"; \
+	fi
 	@perl -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/apply.conf
 	@perl -i -pe 's#__APPLYCONFFILE__#$(CONFDIR)/apply.conf#' ${RMANAGERDIR}/index.pl
 	# Sessions explorer install
@@ -302,13 +308,22 @@
 			ln -s $(PORTALSKINSDIR)/$$skin $(RPORTALDIR)/skins/$$skin; \
 		done; \
 	fi
-	@cp --remove-destination _example/etc/apps-list* $(RCONFDIR)
+	# Applications list install if erase configuration is needed
+	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
+		cp --remove-destination _example/etc/apps-list* $(RCONFDIR); \
+	fi
 	@perl -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/apps-list.xml
 	# L-A portal install
 	@cp -pR --remove-destination ${SRCPORTALDIR}/example/AuthLA/* $(RLASPPORTALDIR)
 	@perl -i -pe 's#__DIR__#$(LASPPORTALDIR)/#g' $(RLASPPORTALDIR)/index.pl
 	# Cron files
-	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)
+	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)/lemonldap-ng
+	@if [ ! "$(APACHEUSER)" ]; then \
+		perl -i -pe 's#__APACHEUSER__#root#g;' $(RCRONDIR)/lemonldap-ng; \
+	else \
+		perl -i -pe 's#__APACHEUSER__#$(APACHEUSER)#g;' $(RCRONDIR)/lemonldap-ng; \
+	fi
+	@perl -i -pe 's#__BINDIR__#$(BINDIR)#g;' $(RCRONDIR)/lemonldap-ng
 	# Clean SVN files
 	@rm -rf $$(find ${RPORTALDIR} $(RPORTALSKINSDIR) $(RLASPPORTALDIR) $(RCRONDIR) $(RCONFDIR) -type d -name .svn)
 
@@ -323,19 +338,3 @@
 	@install -v -d $(RTESTDIR)
 	@cp -pR --remove-destination _example/test/* $(RTESTDIR)
 	@rm -rf $$(find $(RTESTDIR) -type d -name .svn)
-	@perl -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RTESTDIR)/index.pl
-	@rm -rf $$(find $(RTESTDIR) -type d -name .svn)
-
-install_examples_site:
-	# Examples install
-	@install -v -d $(REXAMPLESDIR)
-	@for i in manager portal handler; do \
-		cp -dpR --remove-destination lemonldap-ng-$$i/example $(REXAMPLESDIR)/$$i; \
-	done
-	@rm -rf $(REXAMPLESDIR)/portal/skins \
-		$(REXAMPLESDIR)/manager/imgs \
-		$(REXAMPLESDIR)/manager/images \
-	@rm -rf $$(find $(REXAMPLESDIR) -type d -name .svn)
-	@perl -i -pe 's#__DIR__#$(LASPPORTALDIR)#g' $(REXAMPLESDIR)/portal/AuthLA/index.pl
-	@perl -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(REXAMPLESDIR)/manager/apply.conf
-	@perl -i -pe 's#__APPLYCONFFILE__#$(CONFDIR)/apply.conf#' $(REXAMPLESDIR)/manager/*.pl
