=== debian/changelog ===
lemonldap-ng (0.9.4.1-5) unstable; urgency=low

  * Fix bug "cleanup sub slows down considerably the Apache server"
    (Closes: #599688)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 10 Oct 2010 10:24:04 +0200

lemonldap-ng (0.9.4.1-4) unstable; urgency=low

  * Spanish po-debconf template translation (Closes: #584453)
  * Debian policy update

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 18 Sep 2010 06:56:36 +0200

lemonldap-ng (0.9.4.1-3) unstable; urgency=low

  * Japanese po-debconf template translation (Closes: #559396)
  * Debian policy update

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 13 Feb 2010 14:36:40 +0100

lemonldap-ng (0.9.4.1-2) unstable; urgency=low

  * Lintian :
    - lintian.override for liblemonldap-ng-conf
    - registering doc
  * change lemonldap-ng section to perl as claimed by archive-administrator

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 12 Oct 2009 16:26:26 +0200

lemonldap-ng (0.9.4.1-1) unstable; urgency=low

  * New upstream release
  * Russian translation (Closes: #550552)

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 12 Oct 2009 14:40:46 +0200

lemonldap-ng (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Closes: #512009 (closed since 0.9.3.2)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 05 Jul 2009 13:46:54 +0200

lemonldap-ng (0.9.3.4-2) unstable; urgency=low

  * Missing build-depends libregexp-assemble-perl (Closes: #521959)

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 11 Apr 2009 08:14:19 +0200

lemonldap-ng (0.9.3.4-1) unstable; urgency=low

  * New upstream release
  * Closes 3 bugs (see
    http://forge.objectweb.org/tracker/?atid=350401&group_id=274&func=browse
    bugs number 312418, 312625 and 312627)

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 05 Feb 2009 16:27:16 +0100

lemonldap-ng (0.9.3.2-1) unstable; urgency=low

  * New upstream release
  * Closes: #510562
  * Closes: #510563

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 03 Jan 2009 09:51:55 +0100

lemonldap-ng (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 31 Dec 2008 12:11:50 +0100

lemonldap-ng (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Czech translation for debconf (Closes: #483301)
  * Swedish translation for debconf (Closes: #487713)

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 24 Jun 2008 15:12:09 +0200

lemonldap-ng (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 11 Apr 2008 16:48:59 +0200

lemonldap-ng (0.9-1) unstable; urgency=low

  New upstream release
  * purgeCentralCache was not correctly installed (Closes: #461572)
  * Portuguese debconf translation (Closes: #451820)
  * German debconf translation (Closes: #462807)

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 25 Feb 2008 15:06:49 +0100

lemonldap-ng (0.8.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #429441: ITP: lemonldap-ng -- lemonldap-ng
    is a Perl web single-sign-on system usable as Apache module - Debian
    Bug report logs)

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 07 Nov 2007 16:51:23 +0100
